<?php


// ===============================================================
//
//              RECUPERER L'INTITULE DU DOCUMENT
//
// ===============================================================
function RetrieveTitle($filename, &$message)
{
	global $mysqli;
    $intitule = "";
    $sql_request = "SELECT informations FROM plugin_MDdocs WHERE filename = '".$filename."' ";
    if ($req_intitule = mysqli_query($mysqli, $sql_request)) {
        if ($rep_intitule = mysqli_fetch_array($req_intitule)) {
            $intitule = $rep_intitule['informations'];
        }
    }
    return $intitule;
}

// ===============================================================
//
//              RECUPERER L'INTITULE DU DOCUMENT
//
// ===============================================================
function RetrieveDescription($filename, &$message)
{
	global $mysqli;
    $description = "";
    $sql_request = "SELECT description FROM plugin_MDdocs WHERE filename = '".$filename."' ";
    if ($req_intitule = mysqli_query($mysqli, $sql_request)) {
        if ($rep_intitule = mysqli_fetch_array($req_intitule)) {
            $description = $rep_intitule['description'];
        }
    }
    $description = str_replace("<br/>", "\n", $description);
    return $description;
}
// ===============================================================
//
//              RECUPERER L'INTITULE DU DOCUMENT
//
// ===============================================================
function RetrieveTitleLink($id_link, &$message)
{
	global $mysqli;
    $intitule = "";
    $sql_request = "SELECT informations FROM plugin_MDlinks WHERE id = '".$id_link."' ";
    if ($req_intitule = mysqli_query($mysqli, $sql_request)) {
        if ($rep_intitule = mysqli_fetch_array($req_intitule)) {
            $intitule = $rep_intitule['informations'];
        }
    }
    return $intitule;
}

// ===============================================================
//
//              RECUPERER L'INTITULE DU DOCUMENT
//
// ===============================================================
function RetrieveDescriptionLink($id_link, &$message)
{
	global $mysqli;
    $description = "";
    $sql_request = "SELECT description FROM plugin_MDlinks WHERE id = '".$id_link."' ";
    if ($req_intitule = mysqli_query($mysqli, $sql_request)) {
        if ($rep_intitule = mysqli_fetch_array($req_intitule)) {
            $description = $rep_intitule['description'];
        }
    }
    $description = str_replace("<br/>", "\n", $description);
    return $description;
}

// ===============================================================
//
//          SUPPRESSION DU DOCUMENT DU DOSSIER DE STOCKAGE
//
// ===============================================================
function DeleteDocumentFromDirectory($delete, &$message)
{
	global $mysqli;
    $folder = RetrieveFolder();
    $file_deleted = false;
    $file_does_not_exist = false;
    if ($delete != NULL) {
        $sql_request = "SELECT author FROM plugin_MDdocs WHERE filename = '".mysqli_real_escape_string($mysqli, $delete)."'";
        $req_author = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
        if ($rep_author = mysqli_fetch_array($req_author)) {
            if ((strtolower($rep_author['author']) == strtolower($_SESSION['login'])) OR ($_SESSION['statut'] == 'administrateur')) {
                $AllowDeletion = true;
            }
            else {
                $AllowDeletion = false;
            }
        }
        else if ($_SESSION['statut'] == 'administrateur') {
            $AllowDeletion = true;
        }
        else {
            $AllowDeletion = false;
        }
        if ($AllowDeletion) {
            if (file_exists($folder."/".$delete)) {
                if (unlink($folder."/".$delete)) {
                    $file_deleted = true;
                    $message = "Le document a été supprimé avec succès";
                }
            }
            else {
                $message = "Le document que vous tentez de supprimer n'existe pas.";
            }
        }
        else {
            $message = "Vous tentez de supprimer un fichier qui ne vous appartient pas.";
        }
    }
    return $file_deleted;

}

// ===============================================================
//
//          SUPPRESSION D'UN LIEN
//
// ===============================================================
function DeleteLinkFromDatabase($delete_link, &$message)
{
	global $mysqli;

    if ($delete_link != NULL) {
        $sql_request = "SELECT author FROM plugin_MDlinks WHERE id = '".mysqli_real_escape_string($mysqli, $delete_link)."'";
        $req_author = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
        if ($rep_author = mysqli_fetch_array($req_author)) {
            if ((strtolower($rep_author['author']) == strtolower($_SESSION['login'])) OR ($_SESSION['statut'] == 'administrateur')) {
                $AllowDeletion = true;
            }
            else {
                $AllowDeletion = false;
            }
        }
        else if ($_SESSION['statut'] == 'administrateur') {
            $AllowDeletion = true;
        }
        else {
            $AllowDeletion = false;
        }
        if ($AllowDeletion) {

            $sql_request = "DELETE FROM plugin_MDlinks WHERE id = '".$delete_link."'";
            $req_delete = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
            $message = "Le lien a été supprimé avec succès";

        }
        else {
            $message = "Vous tentez de supprimer un lien qui ne vous appartient pas.";
        }
    }

}
// ===============================================================
//
//          SUPPRESSION DU DOCUMENT DE LA BASE DE DONNEES
//
// ===============================================================
function DeleteDocumentFromDatabase($delete)
{
	global $mysqli;
    $sql_request = "DELETE FROM plugin_MDdocs WHERE filename = '".$delete."'";
    $req_delete = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));

}

// ===============================================================
//
//          RECUPERATION DES FICHIERS
//
// ===============================================================
function RetrieveDocuments(&$MyFiles, &$AllowDisplayFile, &$AllowDisplayButtons, $id_category)
{
	global $mysqli;

    $folder = RetrieveFolder();
    $sql_request = "SELECT filename, access, author , informations, directory , description FROM plugin_MDdocs WHERE directory IN (SELECT id FROM plugin_MDsubcategories WHERE id_category = '".$id_category."') ORDER BY timestamp DESC";
    $req_docs = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
    $i = 0;
    while ($rep_docs = mysqli_fetch_array($req_docs)) {
        if (file_exists($folder."/".$rep_docs['filename'])) {
            $MyFiles[$i]['filename'] = $rep_docs['filename'];
            $MyFiles[$i]['intitule'] = $rep_docs['informations'];
            $MyFiles[$i]['subcategory'] = $rep_docs['directory'];
            $MyFiles[$i]['description'] = $rep_docs['description'];
            $MyFiles[$i]['author'] = "anonyme";
            $sql_request = "SELECT nom, prenom FROM utilisateurs WHERE login = '".$rep_docs['author']."' ";
            if ($req_civilite = mysqli_query($mysqli, $sql_request)){
                if ($rep_civilite = mysqli_fetch_array($req_civilite)) {
                    $MyFiles[$i]['author'] = $rep_civilite['prenom']." ".$rep_civilite['nom'];
                }
            }
            // =================== Vérifier que l'utilisateur a bien le droit de supprimer le fichier
            if ((strtolower($rep_docs['author']) == strtolower($_SESSION['login'])) OR ($_SESSION['statut'] == 'administrateur')) {
                $AllowDisplayButtons[] = true;
            }
            else {
                $AllowDisplayButtons[] = false;
            }

            // =================== Vérifier que l'utilisateur a bien le droit de visualiser le fichier
			
			$FilterAtUserLevel = RetrieveUserFilter();
			if ($FilterAtUserLevel == 'yes') {
				$allowed_user = explode(';', strtolower($rep_docs['access']));
				if (in_array(strtolower($_SESSION['login']) , $allowed_user) OR (strtolower($_SESSION['login']) == strtolower($rep_docs['author'])) OR ($_SESSION['statut'] == 'administrateur')) {
					$AllowDisplayFile[] = true;
				}
				else {
					$AllowDisplayFile[] = false;
				}
			}
			else {
				$AllowDisplayFile[] = true;			
			}
            $i++;
        }
    }

}

// ===============================================================
//
//          RECUPERATION DES LIENS
//
// ===============================================================
function RetrieveLinks(&$MyLinks, &$AllowDisplayLink, &$AllowDisplayButtonsLink, $id_category)
{
	global $mysqli;

    $sql_request = "SELECT id, url, access, author , informations, directory , description FROM plugin_MDlinks WHERE directory IN (SELECT id FROM plugin_MDsubcategories WHERE id_category = '".$id_category."') ORDER BY timestamp DESC";
    $req_links = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
    $i = 0;
    while ($rep_links = mysqli_fetch_array($req_links)) {
            $MyLinks[$i]['id'] = $rep_links['id'];
            $MyLinks[$i]['url'] = $rep_links['url'];
            $MyLinks[$i]['intitule'] = $rep_links['informations'];
            $MyLinks[$i]['subcategory'] = $rep_links['directory'];
            $MyLinks[$i]['description'] = $rep_links['description'];
            $MyLinks[$i]['author'] = "anonyme";
            $sql_request = "SELECT nom, prenom FROM utilisateurs WHERE login = '".$rep_links['author']."' ";
            if ($req_civilite = mysqli_query($mysqli, $sql_request)){
                if ($rep_civilite = mysqli_fetch_array($req_civilite)) {
                    $MyLinks[$i]['author'] = $rep_civilite['prenom']." ".$rep_civilite['nom'];
                }
            }
            // =================== Vérifier que l'utilisateur a bien le droit de supprimer le fichier
            if ((strtolower($rep_links['author']) == strtolower($_SESSION['login'])) OR ($_SESSION['statut'] == 'administrateur')) {
                $AllowDisplayButtonsLink[] = true;
            }
            else {
                $AllowDisplayButtonsLink[] = false;
            }

            // =================== Vérifier que l'utilisateur a bien le droit de visualiser le fichier
            $allowed_user = explode(';', strtolower($rep_links['access']));
            if (in_array(strtolower($_SESSION['login']) , $allowed_user) OR (strtolower($_SESSION['login']) == strtolower($rep_links['author'])) OR ($_SESSION['statut'] == 'administrateur')) {
                $AllowDisplayLink[] = true;
            }
            else {
                $AllowDisplayLink[] = false;
            }
            $i++;
    }

}

// ===============================================================
//
//          GESTION DU TELECHARGEMENT
//
// ===============================================================
function DownloadFile($download, &$message)
{
	global $mysqli;

    $folder = RetrieveFolder();
    $sql_request = "SELECT access , author FROM plugin_MDdocs WHERE filename = '".mysqli_real_escape_string($mysqli, $download)."'";
    $req_access = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
    if ($rep_access = mysqli_fetch_array($req_access)) {
        $allowed_user = explode(';', strtolower($rep_access['access']));
        if (in_array(strtolower($_SESSION['login']) , $allowed_user) OR (strtolower($_SESSION['login']) == strtolower($rep_access['author'])) OR ($_SESSION['statut'] == 'administrateur')) {
            $AllowDownloadFile = true;
        }
        else {
            $AllowDownloadFile = false;
        }
    }
    else {
        $AllowDownloadFile = false;
    }

    if ($AllowDownloadFile) {
	    $download = str_replace("../","",$download);
        $download_path = $folder."/".$download;

        $sql_request = "SELECT downloads FROM plugin_MDdocs WHERE filename ='".$download."' ";
        $req_download = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
        if ($rep_download = mysqli_fetch_array($req_download)) {
            $count_download = $rep_download['downloads'];
            $count_download++;
            $sql_request = "UPDATE plugin_MDdocs SET downloads = '".$count_download."' WHERE filename = '".$download."' ";
            $req_update = mysqli_query($mysqli, $sql_request);
        }


	header('Content-Type: application/force-download');
        header('Content-Transfer-Encoding: binary');
        header('Content-Length: '. filesize($download_path));
        header('Pragma: no-cache');
        header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
        header('Expires: 0');
	header('Content-Disposition: attachment; filename="'.$download.'"');
	flush(); // Envoie le buffer
	readfile($download_path); // Envoie le fichier


    }
    else {
        $message = "Vous tentez de télécharger un document qui ne vous est pas destiné.";

    }

}

// ===============================================================
//
//          INSERTION DU DOCUMENT DANS LA BASE
//
// ===============================================================

function InsertDocumentInDatabase($file_name, $file_size, $file_date, $intitule, $id_subcategory, $description)
{
	global $mysqli;

    $req_destinataires = mysqli_query($mysqli, "SELECT login, nom, prenom , statut FROM utilisateurs WHERE
                                            statut = 'administrateur' OR
                                            statut = 'professeur' OR
                                            statut = 'cpe' OR
                                            statut = 'scolarite' OR
                                            statut = 'autre' ORDER BY nom ASC") or die(mysqli_error($mysqli));
    $mychecklist2 = new STListBox();
    $tab_post = $mychecklist2->STListBoxPost('table_mesdocs');
    unset($mychecklist2);
    $i = 0;
    $destinataires = "";
    while (isset($tab_post[$i]))
    {
        mysqli_data_seek($req_destinataires,$tab_post[$i]);
        $rep_destinataire = mysqli_fetch_array($req_destinataires);
        $destinataires .=$rep_destinataire['login'].";";
        $i++;

    }

    $intitule = stripslashes($intitule);
    $description = str_replace('\r\n', '<br/>', $description);
    $description = stripslashes($description);
    $description = mysqli_real_escape_string($mysqli, $description);
    $sql_request = "INSERT INTO plugin_MDdocs (filename, size, timestamp, downloads, author, access, directory, informations, description, rank)
                        VALUES('".$file_name."','".$file_size."','".$file_date."', '0', '".strtolower($_SESSION['login'])."', '".$destinataires."', '".mysqli_real_escape_string($mysqli, $id_subcategory)."', '".mysqli_real_escape_string($mysqli, $intitule)."', '".$description."', 0)";
    $req_insert = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));

}

// ===============================================================
//
//          INSERTION DU DOCUMENT DANS LA BASE
//
// ===============================================================

function InsertUrlInDatabase($url, $url_date, $intitule, $id_subcategory, &$message, $description)
{
	global $mysqli;

    if ($url != NULL) {
        $sql_request = "SELECT MAX(id) FROM plugin_MDlinks";
        $req_max = mysqli_query($mysqli, $sql_request);
        if ($req_max) {
            if($rep_max = mysqli_fetch_array($req_max)) {
                $id_link = $rep_max[0] + 1;
            }
            else {
                $id_link = 0;
            }
        }
        else {
            $id_link = 0;
        }

        $req_destinataires = mysqli_query($mysqli, "SELECT login, nom, prenom , statut FROM utilisateurs WHERE
                                                statut = 'administrateur' OR
                                                statut = 'professeur' OR
                                                statut = 'cpe' OR
                                                statut = 'scolarite' OR
                                                statut = 'autre' ORDER BY nom ASC") or die(mysqli_error($mysqli));
        $mychecklist2 = new STListBox();
        $tab_post = $mychecklist2->STListBoxPost('table_mesdocs');
        unset($mychecklist2);
        $i = 0;
        $destinataires = "";
        while (isset($tab_post[$i]))
        {
            mysqli_data_seek($req_destinataires,$tab_post[$i]);
            $rep_destinataire = mysqli_fetch_array($req_destinataires);
            $destinataires .=$rep_destinataire['login'].";";
            $i++;

        }

        $intitule = stripslashes($intitule);
        $description = str_replace('\r\n', '<br/>', $description);
        $description = stripslashes($description);
        $description = mysqli_real_escape_string($mysqli, $description);
        $sql_request = "INSERT INTO plugin_MDlinks (id, url, timestamp, clics, author, access, directory, informations, description, rank)
                            VALUES('".$id_link."', '".mysqli_real_escape_string($mysqli, $url)."','".$url_date."', '0', '".strtolower($_SESSION['login'])."', '".$destinataires."', '".mysqli_real_escape_string($mysqli, $id_subcategory)."', '".mysqli_real_escape_string($mysqli, $intitule)."', '".$description."', 0)";
        $req_insert = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
        $message = "Le lien a bien été déposé dans GEPI";
    }
    else {
        $message = "Vous devez entrer une URL avant de valider";
    }

}
// ===============================================================
//
//          UPLOAD DU DOCUMENT DANS LE DOSSIER DE STOCKAGE
//
// ===============================================================
function UploadFile($upload, &$file_name, &$file_size, &$file_date, &$message)
{
    $dirpath = RetrieveFolder();
    $file_uploaded = false;
    if ($upload != NULL) {
		if (empty($_FILES)) {
			$message = "Le fichier que vous souhaitez déposer a un format interdit par GEPI";
		}
        else if  ($_FILES['file']['name']  !="")
        {
            $file_name_missing = false;
            if (file_exists($dirpath.'/'.corriger_caracteres2($_FILES['file']['name']))) {
                $message = "Un document portant le même nom existe déjà.";
            }
            else {
                if (strlen(corriger_caracteres2($_FILES['file']['name'])) <= 100) {
                    if ($_FILES['file']['size'] < MaxAllowedSize()) {
                        $file_exists = false;
                        if (copy  ($_FILES['file']['tmp_name'],$dirpath.'/'.corriger_caracteres2($_FILES['file']['name']))) {
                            $file_uploaded = true;
                            $message = "Dépôt du document réalisé avec succès.";
                            $file_size = $_FILES['file']['size'];
                            $file_name = corriger_caracteres2($_FILES['file']['name']);
                            $file_date = time();
                        }
                    }
                    else {
                        $message = "Votre document est trop volumineux";
                    }
                }
                else {
                    $len_exceed = strlen(corriger_caracteres2($_FILES['file']['name'])) - 100;
                    $message = "Le nom de votre document est trop long de ".$len_exceed." caractères";
                }
            }
        }
        else
        {
            $message = "Vous n'avez pas sélectionné de document ou le fichier que vous souhaitez déposer a un format interdit par GEPI.";
        }
    }
    return $file_uploaded;

}

// ===============================================================
//
//          DETERMINE SI ON PEUT MODIFIER LES DROITS
//
// ===============================================================
function RetrieveAuthorizationState($filename)
{
	global $mysqli;

    $AllowModification = false;
    if ($filename != NULL) {
        $sql_request = "SELECT access, author FROM plugin_MDdocs WHERE filename ='".mysqli_real_escape_string($mysqli, $filename)."'";
        $req_docs = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
        if ($rep_docs = mysqli_fetch_array($req_docs)) {
            // =================== Vérifier que l'utilisateur a bien le droit de modifier les droits
            if ((strtolower($rep_docs['author']) == strtolower($_SESSION['login'])) OR ($_SESSION['statut'] == 'administrateur')) {
                $AllowModification = true;
            }
        }
    }
    return $AllowModification;
}

// ===============================================================
//
//          DETERMINE SI ON PEUT MODIFIER LES DROITS
//
// ===============================================================
function RetrieveAuthorizationStateForLink($id_link)
{
	global $mysqli;

    $AllowModification = false;
    if ($id_link != NULL) {
        $sql_request = "SELECT access, author FROM plugin_MDlinks WHERE id ='".mysqli_real_escape_string($mysqli, $id_link)."'";
        $req_docs = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
        if ($rep_docs = mysqli_fetch_array($req_docs)) {
            // =================== Vérifier que l'utilisateur a bien le droit de modifier les droits
            if ((strtolower($rep_docs['author']) == strtolower($_SESSION['login'])) OR ($_SESSION['statut'] == 'administrateur')) {
                $AllowModification = true;
            }
        }
    }
    return $AllowModification;
}

// ===============================================================
//
//          MODIFIER LES DROITS DANS LA BASE
//
// ===============================================================
function EditDocInDatabase($filename, $intitule, $description, &$message)
{
	global $mysqli;

    $req_destinataires = mysqli_query($mysqli, "SELECT login, nom, prenom , statut FROM utilisateurs WHERE
                                            statut = 'administrateur' OR
                                            statut = 'professeur' OR
                                            statut = 'cpe' OR
                                            statut = 'scolarite' OR
                                            statut = 'autre' ORDER BY nom ASC") or die(mysqli_error($mysqli));
    $sql_request = "SELECT access, author FROM plugin_MDdocs WHERE filename ='".mysqli_real_escape_string($mysqli, $filename)."'";
    $req_docs = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
    if ($rep_docs = mysqli_fetch_array($req_docs)) {
        $mychecklist = new STListBox();
        $tab_post = $mychecklist->STListBoxPost('table_mesdocs');
        $i = 0;
        $destinataires = "";
        while (isset($tab_post[$i]))
        {
            mysqli_data_seek($req_destinataires,$tab_post[$i]);
            $rep_destinataire = mysqli_fetch_array($req_destinataires);
            $destinataires .=$rep_destinataire['login'].";";
            $i++;
        }

        $intitule = stripslashes($intitule);
        $intitule = mysqli_real_escape_string($mysqli, $intitule);
        $description = str_replace('\r\n', '<br/>', $description);
        $description = stripslashes($description);
        $description = mysqli_real_escape_string($mysqli, $description);
        $sql_request = "UPDATE plugin_MDdocs SET access = '".$destinataires."' , informations = '".$intitule."' , description = '".$description."' WHERE filename = '".$filename."' ";
        $req_update = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
        $message = "Mise à jour du document effectuée";
        unset($mychecklist);
        unset($_POST['update']);
    }
}

// ===============================================================
//
//          MODIFIER LES DROITS DANS LA BASE
//
// ===============================================================
function EditLinkInDatabase($id_link, $intitule, $description, $url, &$message)
{
	global $mysqli;
    $req_destinataires = mysqli_query($mysqli, "SELECT login, nom, prenom , statut FROM utilisateurs WHERE
                                            statut = 'administrateur' OR
                                            statut = 'professeur' OR
                                            statut = 'cpe' OR
                                            statut = 'scolarite' OR
                                            statut = 'autre' ORDER BY nom ASC") or die(mysqli_error($mysqli));
    $sql_request = "SELECT access, author FROM plugin_MDlinks WHERE id ='".mysqli_real_escape_string($mysqli, $id_link)."'";
    $req_docs = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
    if ($rep_docs = mysqli_fetch_array($req_docs)) {
        $mychecklist = new STListBox();
        $tab_post = $mychecklist->STListBoxPost('table_mesdocs');
        $i = 0;
        $destinataires = "";
        while (isset($tab_post[$i]))
        {
            mysqli_data_seek($req_destinataires,$tab_post[$i]);
            $rep_destinataire = mysqli_fetch_array($req_destinataires);
            $destinataires .=$rep_destinataire['login'].";";
            $i++;
        }
        $intitule = stripslashes($intitule);
        $intitule = mysqli_real_escape_string($mysqli, $intitule);
        $description = str_replace('\r\n', '<br/>', $description);
        $description = stripslashes($description);
        $description = mysqli_real_escape_string($mysqli, $description);
        $sql_request = "UPDATE plugin_MDlinks SET access = '".$destinataires."' , informations = '".$intitule."' , description = '".$description."' , url = '".$url."'  WHERE id = '".$id_link."' ";
        $req_update = mysqli_query($mysqli, $sql_request);
        $message = "Mise à jour du lien effectuée";
        unset($mychecklist);
        unset($_POST['update']);
    }
}
// ===============================================================
//
//          RECUPERER LES UTILISATEURS QUI ONT ACCES AU DOCUMENT
//
// ===============================================================
function RetrieveAuthorizedUsers($filename)
{
	global $mysqli;
    $allowed_user = array();
    $sql_request = "SELECT access, author FROM plugin_MDdocs WHERE filename ='".mysqli_real_escape_string($mysqli, $filename)."'";
    $req_docs = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
    if ($rep_docs = mysqli_fetch_array($req_docs)) {
        $allowed_user = explode(';', $rep_docs['access']);
    }
    return $allowed_user;
}
// ===============================================================
//
//          RECUPERER LES UTILISATEURS QUI ONT ACCES AU DOCUMENT
//
// ===============================================================
function RetrieveAuthorizedUsersForLink($id_link)
{
	global $mysqli;
    $allowed_user = array();
    $sql_request = "SELECT access, author FROM plugin_MDlinks WHERE id ='".mysqli_real_escape_string($mysqli, $id_link)."'";
    $req_docs = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
    if ($rep_docs = mysqli_fetch_array($req_docs)) {
        $allowed_user = explode(';', $rep_docs['access']);
    }
    return $allowed_user;
}
// ===============================================================
//
//          RECUPERER L'URL A PARTIR DE L'ID
//
// ===============================================================
function RetrieveUrlFromId($id_link)
{
	global $mysqli;
    $url = "";
    $sql_request = "SELECT url FROM plugin_MDlinks WHERE id ='".mysqli_real_escape_string($mysqli, $id_link)."'";
    $req_docs = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
    if ($rep_docs = mysqli_fetch_array($req_docs)) {
        $url = $rep_docs['url'];
    }
    return $url;
}
?>
