<?php
/**
 * Fichier functions.php pour gérer des documents
 *
 *
 * Copyright 2010 Pascal Fautrero
 *
 * This file is part of MesDocuments, a plugin for GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MesDocuments is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
// ===============================================================
//
//                      PROTOS
//
// function DisplayEditCategoryView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $old_name)
// function DisplayHelpView($message, $AllowAdminMenu, $IE6, $Categories, $nbCategories)
// function DisplayIndexView($message, $MyFiles, $AllowDisplayFile, $AllowDisplayButtons, $AllowAdminMenu, $id_category, $IE6, $Categories, $nbCategories, $SubCategories, $nbSubCategories, $MyLinks, $AllowDisplayLink, $AllowDisplayButtonsLink) 
// function DisplayFolderView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu)
// function DisplayUploadView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $mychecklist, $maximumsize, $id_subcategory)
// function DisplayUploadLinkView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $mychecklist, $maximumsize, $id_subcategory)
// function DisplayModifyRightsView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $mychecklist, $filename, $AllowAdminMenu, $AllowModification)
// function DisplayModifyRightsLinkView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $mychecklist, $id_link, $AllowAdminMenu, $AllowModification, $url)

// function DefineAdminMenuPermission()
// function RetrieveFolder()
// function MaxAllowedSize()
// function CreateDirectory($folder) 
// function CreateProtectionFile()
// function corriger_caracteres2($texte)
// function DeleteDocumentFromDirectory($delete, &$message) 
// function DeleteDocumentFromDatabase($delete)
// function VerifyTablePlugin() 
// function RetrieveDocuments(&$MyFiles, &$AllowDisplayFile, &$AllowDisplayButtons, $id_category) 
// function DetectIE6() 
// function DownloadFile($download, &$message)
// function FormatMaxSize() 
// function InsertDocumentInDatabase($file_name, $file_size, $file_date, $intitule, $id_subcategory) 
// function InsertUrlInDatabase($url, $url_date, $intitule, $id_subcategory, &$message, $description) 
// function UploadFile($upload, &$file_name, &$file_size, &$file_date, &$message)
// function CreateListBox($tab, $checkedlist) 
// function PrepareListBoxDatas(&$tab, &$checkedlist) 
// function PrepareListBoxDatasFromUsers(&$tab, &$checkedlist, $allowed_user) 
// function RetrieveAuthorizationState($filename) 
// function RetrieveAuthorizationStateForLink($id_link) 
// function EditDocInDatabase($filename, $intitule, $description, &$message)
// function EditLinkInDatabase($id_link, $intitule, $description, $url, &$message)
// function RetrieveAuthorizedUsers($filename)
// function RetrieveAuthorizedUsersForLink($id_link)
// function RetrieveUrlFromId($id_link)


// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE PARAMETERS
//
// ===============================================================
function DisplayParametersView($message, $IE6, $Categories, $nbCategories, $AllowAdminMenu, $menu_item, $DefaultPermission, $FilterAtUserLevel)
{
    require_once("./views/parameters_view.php");
}
// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE EDIT_PERMISSIONS
//
// ===============================================================
function DisplayDenyAccess()
{
    require_once("./views/deny_access.php");
}

// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE EDIT_PERMISSIONS
//
// ===============================================================
function DisplayEditPermissionsView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $mychecklist1, $mychecklist2,$mychecklist3,$mychecklist4, $name_group, $AllowAdminMenu, $txtItem, $id_group , $menu_item, $DefaultPermission)
{
    require_once("./views/edit_permissions_view.php");
}
// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE EDIT_USERS
//
// ===============================================================
function DisplayEditUsersView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $mychecklist, $name_group, $AllowAdminMenu, $txtItem, $id_group , $menu_item)
{
    require_once("./views/edit_users_view.php");
}
// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE EDIT_GROUP
//
// ===============================================================
function DisplayEditGroupView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $old_name, $id_group, $menu_item)
{
    require_once("./views/edit_group_view.php");
}
// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE EDIT_CATEGORY
//
// ===============================================================
function DisplayEditCategoryView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $old_name, $id_category, $id_subcategory, $menu_item)
{
    require_once("./views/edit_category_view.php");
}

// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE HELP
//
// ===============================================================
function DisplayHelpView($message, $AllowAdminMenu, $IE6, $Categories, $nbCategories, $menu_item)
{
    require_once("./views/help_view.php");
}

// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE INDEX
//
// ===============================================================
function DisplayIndexView($message, $MyFiles, $AllowDisplayFile, $AllowDisplayButtons, $AllowAdminMenu, $id_category, $IE6, $Categories, $nbCategories, $SubCategories, $nbSubCategories, $MyLinks, $AllowDisplayLink, $AllowDisplayButtonsLink,$menu_item, $Category_readable, $Category_writable)
{
    require_once("./views/index_view.php");
}

// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE FOLDER
//
// ===============================================================
function DisplayFolderView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $menu_item)
{
    require_once("./views/folders_view.php");
}
// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE GROUPS
//
// ===============================================================
function DisplayGroupsView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $Groups, $nbGroups, $menu_item)
{
    require_once("./views/groups_view.php");
}
// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE UPLOAD
//
// ===============================================================
function DisplayUploadView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $mychecklist, $maximumsize, $id_subcategory, $txtItem, $menu_item, $AllowAccessPage, $FilterAtUserLevel)
{
    require_once("./views/upload_view.php");
}
// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE UPLOADLINK
//
// ===============================================================
function DisplayUploadLinkView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $mychecklist, $maximumsize, $id_subcategory, $txtItem, $menu_item, $AllowAccessPage, $FilterAtUserLevel)
{
    require_once("./views/uploadlink_view.php");
}
// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE MODIFY_RIGHTS
//
// ===============================================================
function DisplayEditDocsView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $mychecklist, $filename, $AllowAdminMenu, $AllowModification, $txtItem, $intitule, $description, $menu_item)
{
    require_once("./views/edit_docs_view.php");
}
// ===============================================================
//
//              AFFICHER LE CONTENU DE LA PAGE MODIFY_RIGHTS_LINK
//
// ===============================================================
function DisplayEditLinksView($message, $Categories, $nbCategories, $IE6, $AllowAdminMenu, $mychecklist, $id_link, $AllowAdminMenu, $AllowModification, $url, $txtItem, $intitule, $description, $menu_item)
{
    require_once("./views/edit_links_view.php");
}



// ===============================================================
//
//              DETERMINER SI L'UTILISATEUR COURANT EST
//              AUTORISE A VISITER LA PAGE
//
// ===============================================================
function CurrentUserIsAllowed()
{
    $Allow = false;
    if (($_SESSION['statut'] != 'responsable') AND ($_SESSION['statut'] != 'eleve')) {
        $Allow = true;
    }
    return $Allow;
}


// ===============================================================
//
//              DETERMINER SI LE MENU ADMIN EST ACCESSIBLE
//
// ===============================================================
function DefineAdminMenuPermission() 
{
    $AllowAdminMenu = false;
    if ($_SESSION['statut'] == 'administrateur') {
        $AllowAdminMenu = true;
    }
    return $AllowAdminMenu;
}

// ===============================================================
//
//                  RECUPERATION DU DOSSIER DE STOCKAGE
//
// ===============================================================
function RetrieveFolder() 
{
	global $mysqli;
    $UploadFolder = "upload_".time();

    $sql_request = "SELECT value FROM plugin_MDparams WHERE parameter = 'UploadFolder' ";
    $req_folder = mysqli_query($mysqli, $sql_request);
    if ($req_folder) {
        if ($rep_folder = mysqli_fetch_array($req_folder)) {
            $UploadFolder = $rep_folder['value'];
        }
        else {
            if (!is_dir($UploadFolder)) {
				CreateDirectory($UploadFolder);
                // $UploadFolder .= "_".time();
            }
            $sql_request = "INSERT INTO plugin_MDparams (parameter, value) VALUES ('UploadFolder', '".$UploadFolder."') ";
            mysqli_query($mysqli, $sql_request);
        }
    } else {
		echo 'Ereur lors de la lecture du répertoire enregistré '.$UploadFolder. ' → erreur : '.  mysqli_error($mysqli);
		die();
	}

    return $UploadFolder;
}
// ===============================================================
//
//                RECUPERATION DE LA TAILLE MAX AUTORISEE
//
// ===============================================================
function MaxAllowedSize() 
{
	global $mysqli;
    $MaxAllow = 2097152;
    $sql_request = "SELECT value FROM plugin_MDparams WHERE parameter = 'MaxUpload' ";
    $req_max = mysqli_query($mysqli, $sql_request);
    if ($req_max) {
        if ($rep_max = mysqli_fetch_array($req_max)) {
            $MaxAllow = $rep_max['value'];
        }
        else {
            $sql_request = "INSERT INTO plugin_MDparams (parameter, value) VALUES ('MaxUpload', '".$MaxAllow."') ";
            mysqli_query($mysqli, $sql_request);
        }
    }
    return $MaxAllow;
}
// ===============================================================
//
//                  CREATION DU DOSSIER DE STOCKAGE
//
// ===============================================================
function CreateDirectory($folder) 
{
    $result = true;
    $orig = umask(0000);
    if (!mkdir($folder,0777)) {
        $result = false;
    }
    if (!chmod($folder, 0777)) {
        $result = false;
    }
    umask($orig);
    return $result;
}
// ===============================================================
//
//                  CREATION DU .HTACCESS
//
// ===============================================================
function CreateProtectionFile() 
{
    $dirpath  =  RetrieveFolder();
    $MyFile = $dirpath."/.htaccess";
    $inFile = fopen($MyFile, "w");
    fwrite($inFile, "DENY FROM ALL");
    fclose($inFile);    
}
// ===============================================================
//
//                  CORRECTION DU NOM DU DOCUMENT
//
// ===============================================================
function corriger_caracteres2($texte) 
{
    // 145,146,180 = simple quote ; 147,148 = double quote ; 150,151 = tiret long
    $texte = strtr($texte, chr(145).chr(146).chr(180).chr(147).chr(148).chr(150).chr(151), "'''".'""--');
    $texte = strtr($texte, "'", "_");
    $texte = strtr($texte, " ", "_");
    return my_ereg_replace( chr(133), "...", $texte );
}

// ===============================================================
//
//          MISE A JOUR D'ANCIENNES TABLES
//
// ===============================================================
function UpdateOldVersion()
{
	global $mysqli;

    $sql_request = "SELECT value FROM plugin_MDparams WHERE parameter = 'version' ";
    //$req_version = mysql_query($sql_request);
	$req_version = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
    $do_update = true;
    if ($rep_version = mysqli_fetch_array($req_version)) {
        if ($rep_version['value'] == '160') {
            $do_update = false;
        }
        else {
            $sql_request = "DELETE FROM plugin_MDparams WHERE parameter = 'version' ";
            //$req_version = mysql_query($sql_request);
			$req_version = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
        }
    }
    if ($do_update) {
        $sql = "SELECT rank FROM plugin_MDdocs LIMIT 1";
        //$req_rank = mysql_query($sql);
		$req_rank = mysqli_query($mysqli, $sql) or die(mysqli_error($mysqli));
        if (!$req_rank){
            $sql_request = "ALTER TABLE plugin_MDdocs ADD rank INT";
            //$req_add_rank = mysql_query($sql_request);
			$req_add_rank = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
        }

        $sql = "SELECT rank FROM plugin_MDlinks LIMIT 1";
        //$req_rank = mysql_query($sql);
		$req_rank = mysqli_query($mysqli, $sql) or die(mysqli_error($mysqli));
        if (!$req_rank){
            $sql_request = "ALTER TABLE plugin_MDlinks ADD rank INT";
            //$req_add_rank = mysql_query($sql_request);
			$req_add_rank = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
        }

        $sql = "SELECT rank FROM plugin_MDsubcategories LIMIT 1";
        //$req_rank = mysql_query($sql);
		$req_rank = mysqli_query($mysqli, $sql) or die(mysqli_error($mysqli));
        if (!$req_rank){
            $sql_request = "ALTER TABLE plugin_MDlinks ADD rank INT";
            //$req_add_rank = mysql_query($sql_request);
			$req_add_rank = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
            if ($req_add_rank) {
                $sql_request = "SELECT id_category FROM plugin_MDsubcategories";
                //if ($req_id_cat = mysql_query($sql_request)) {
                if ($req_id_cat = mysqli_query($mysqli, $sql_request)) {
                    while ($rep_id_cat = mysqli_fetch_array($req_id_cat)) {
                        $sql_request = "SELECT id FROM plugin_MDsubcategories WHERE id_category = '".$rep_id_cat['id_category']."' ";
                        if ($req_id = mysqli_query($mysqli, $sql_request)) {
                            $rank = 1;
                            while ($rep_id = mysqli_fetch_array($req_id)) {
                                $sql_request = "UPDATE plugin_MDsubcategories SET rank = '".$rank."' WHERE id = '".$rep_id['id']."' ";
                                //mysql_query($sql_request);
								mysqli_query($mysqli, $sql_request);
                                $rank++;
                            }
                        }
                    }
                }
            }
        }

        $sql = "SELECT rank FROM plugin_MDcategories LIMIT 1";
        //$req_rank = mysql_query($sql);
		$req_rank = mysqli_query($mysqli, $sql) or die(mysqli_error($mysqli));
        if (!$req_rank){
            $sql_request = "ALTER TABLE plugin_MDcategories ADD rank INT";
            //$req_add_rank = mysql_query($sql_request);
			$req_add_rank = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
            if ($req_add_rank) {
                $sql_request = "SELECT id FROM plugin_MDcategories";
                if ($req_id = mysqli_query($mysqli, $sql_request)) {
                    $rank = 1;
                    while ($rep_id = mysqli_fetch_array($req_id)) {
                        $sql_request = "UPDATE plugin_MDcategories SET rank = '".$rank."' WHERE id = '".$rep_id['id']."' ";
                        mysqli_query($mysqli, $sql_request);
                        $rank++;
                    }
                }
            }
        }

        $sql_request = "INSERT INTO plugin_MDparams (parameter, value) VALUES ('version', '160') ";
        mysqli_query($mysqli, $sql_request);
    }


}

// ===============================================================
//
//          VERIFICATION ET CREATION DE LA TABLE
//
// ===============================================================
function VerifyTablePlugin() 
{
	global $mysqli;
    $sql = "CREATE TABLE IF NOT EXISTS plugin_MDdocs (
			  `id` int(11) NOT NULL AUTO_INCREMENT,
                filename CHAR(150),
                size INT,
                timestamp INT,
                downloads INT,
                author CHAR(50),
                access TEXT,
				directory INT,
                informations TEXT, 
                description TEXT, 
                rank INT,
			   PRIMARY KEY (`id`))";
	
    //$req_creation = mysql_query($sql) or die(mysql_error());
	$req_creation = mysqli_query($mysqli, $sql) or die(mysqli_error($mysqli));

    $sql = "CREATE TABLE IF NOT EXISTS plugin_MDcategories (
			   `idCategories` int(11) NOT NULL AUTO_INCREMENT,
                id INT,
                name CHAR(50), 
                rank INT,
			   PRIMARY KEY (`idCategories`))";
    //$req_creation = mysql_query($sql) or die(mysql_error());
    $req_creation  = mysqli_query($mysqli, $sql) or die(mysqli_error($mysqli));

    $sql = "CREATE TABLE IF NOT EXISTS plugin_MDsubcategories (
			   `idSubcategories` int(11) NOT NULL AUTO_INCREMENT,
                id INT,
                id_category INT,
                name CHAR(50), 
                rank INT,
			   PRIMARY KEY (`idSubcategories`))";
    //$req_creation = mysql_query($sql) or die(mysql_error());
    $req_creation  = mysqli_query($mysqli, $sql) or die(mysqli_error($mysqli));

    $sql = "CREATE TABLE IF NOT EXISTS plugin_MDlinks (
			   `idLinks` int(11) NOT NULL AUTO_INCREMENT,
                id INT,
                url TEXT,
                timestamp INT,
                clics INT,
                author CHAR(50),
                access TEXT,
                directory INT,
                informations TEXT, 
                description TEXT, 
                rank INT,
			   PRIMARY KEY (`idLinks`))";
    //$req_creation = mysql_query($sql) or die(mysql_error());
    $req_creation  = mysqli_query($mysqli, $sql) or die(mysqli_error($mysqli));


    $sql = "CREATE TABLE IF NOT EXISTS plugin_MDparams (
			   `id` int(11) NOT NULL AUTO_INCREMENT,
                parameter CHAR(50),
                value CHAR(50),
			   PRIMARY KEY (`id`))";
    //$req_creation = mysql_query($sql) or die(mysql_error());
    $req_creation  = mysqli_query($mysqli, $sql) or die(mysqli_error($mysqli));

	//echo "Création des tables du plugin → OK<br />";
	/*
	 * 
	 */
}

// ===============================================================
//
//          DETECTER LA PRESENCE DE IE6
//
// ===============================================================
function DetectIE6() 
{
    $ua = getenv("HTTP_USER_AGENT");
    if (strstr($ua, "MSIE 6.0")) {
	     $IE6 = true;
    }
    else {
        $IE6 = false;
    }
    return $IE6;
}

// ===============================================================
//
//          FORMATTAGE DE LA TAILLE MAXIMUM
//
// ===============================================================
function FormatMaxSize() 
{

    $maximumsize = MaxAllowedSize();
    if ($maximumsize > (1024*1024)) {
        $maximumsize = $maximumsize / (1024*1024);
        $maximumsize.=" Mo";
    }
    else if ($maximumsize > 1024) {
        $maximumsize = $maximumsize / 1024;
        $maximumsize.=" ko";
    }
    else {
        $maximumsize.=" octets";
    }
    return $maximumsize;
}

// ===============================================================
//
//          FORMATTAGE DE LA TAILLE MAXIMUM
//
// ===============================================================
function MaxAllowedSize2() 
{

    $maximumsize = MaxAllowedSize();
    if ($maximumsize > (1024*1024)) {
        $maximumsize = $maximumsize / (1024*1024);
    }
    else if ($maximumsize > 1024) {
        $maximumsize = $maximumsize / 1024;
    }
    return $maximumsize;
}


// ===============================================================
//
//          CREATION DE LA LISTBOX
//          $tab = liste des utilisateurs à afficher
//          $checkedlist = liste des états des checkbox
//
// ===============================================================
function CreateListBox($tab, $checkedlist) 
{

    $mychecklist = new STListBox('table_mesdocs',$tab,'listbox', $checkedlist);
    $mychecklist->titles = array(''=>40,  'nom'=>200,  'prénom'=>150, 'matière'=>200, 'statut'=>200, 'PP'=>40);
    $mychecklist->checkbox = true;
    $mychecklist->width = 650;
    $mychecklist->height = 300;
    $mychecklist->style_colonne='';
    
    // formatage de colonne : num de colonne=>array(sep de 10aine, sep de milliers, symbole à la fin, style); 
    // ici on formate uniquement la colonne 4
    //$mychecklist->number_format= array(4=>array(',','.',' &euro;','text-align:right'));
    return $mychecklist;
}

// ===============================================================
//
//          CREATION DE LA LISTBOX
//          $tab = liste des utilisateurs à afficher
//          $checkedlist = liste des états des checkbox
//
// ===============================================================
function CreateListBoxCategories($tab, $checkedlist, $table_name)
{

    $mychecklist = new STListBox($table_name,$tab,'listbox', $checkedlist);
    $mychecklist->titles = array(''=>40,  'catégorie'=>200);
    $mychecklist->checkbox = true;
    $mychecklist->width = 250;
    $mychecklist->height = 100;
    $mychecklist->style_colonne='';

    // formatage de colonne : num de colonne=>array(sep de 10aine, sep de milliers, symbole à la fin, style);
    // ici on formate uniquement la colonne 4
    //$mychecklist->number_format= array(4=>array(',','.',' &euro;','text-align:right'));
    return $mychecklist;
}
// ===============================================================
//
//          CREATION DE LA LISTBOX
//          $tab = liste des utilisateurs à afficher
//          $checkedlist = liste des états des checkbox
//
// ===============================================================
function CreateListBoxSubCategories($tab, $checkedlist, $table_name)
{

    $mychecklist = new STListBox($table_name,$tab,'listbox', $checkedlist);
    $mychecklist->titles = array(''=>40,  'catégorie'=>200,  'sous-catégorie'=>300);
    $mychecklist->checkbox = true;
    $mychecklist->width = 500;
    $mychecklist->height = 150;
    $mychecklist->style_colonne='';

    // formatage de colonne : num de colonne=>array(sep de 10aine, sep de milliers, symbole à la fin, style);
    // ici on formate uniquement la colonne 4
    //$mychecklist->number_format= array(4=>array(',','.',' &euro;','text-align:right'));
    return $mychecklist;
}

// ===============================================================
//
//          RECUPERATION DES STATUTS DE GEPI
//
// ===============================================================
function RetrieveUsersStatus() 
{
	global $mysqli;
    $txtItem = array();
    $txtItem[0]['item'] = "tous";
    $txtItem[0]['title'] = "tous";
    $txtItem[1]['item'] = "aucun";
    $txtItem[1]['title'] = "aucun";
    $txtItem[2]['item'] = "professeur";
    $txtItem[2]['title'] = "profs";
    $txtItem[3]['item'] = "scolarite";
    $txtItem[3]['title'] = "scolarité";
    $txtItem[4]['item'] = "cpe";
    $txtItem[4]['title'] = "cpe";
    $txtItem[5]['item'] = "administrateur";
    $txtItem[5]['title'] = "admins";
    $txtItem[6]['item'] = "oui";
    $txtItem[6]['title'] = "PP";
    // =============== Récupération des statuts "autre"

    $sql_request = "SELECT DISTINCT nom_statut FROM droits_statut ";
    $req_nom_statut = mysqli_query($mysqli, $sql_request);
    $i = 7;
    if ($req_nom_statut) {
        while ($rep_nom_statut=mysqli_fetch_array($req_nom_statut)) {
            $txtItem[$i]['item'] = $rep_nom_statut['nom_statut'];
            $txtItem[$i]['title'] = $rep_nom_statut['nom_statut'];
            $i++;
        }
    }



    return $txtItem;

}
// ===============================================================
//
//          RECUPERATION DES STATUTS DE GEPI
//
// ===============================================================
function RetrieveSimpleList()
{
    $txtItem = array();
    $txtItem[0]['item'] = "tous";
    $txtItem[0]['title'] = "tous";
    $txtItem[1]['item'] = "aucun";
    $txtItem[1]['title'] = "aucun";
    return $txtItem;

}
// ===============================================================
//
//          PREPARATION DES DONNEES POUR LA LISTBOX
//          $tab = liste des utilisateurs à afficher
//          $checkedlist = liste des états des checkbox
//
// ===============================================================
function PrepareListBoxDatas(&$tab, &$checkedlist, $id_subcategory)
{
	global $mysqli;
    $AllowedUsers = RetrieveAllowedUsersInSubCategory($id_subcategory, 'read');

    $req_destinataires = mysqli_query($mysqli, "SELECT login, nom, prenom , statut FROM utilisateurs WHERE 
                                            statut = 'administrateur' OR
                                            statut = 'professeur' OR
                                            statut = 'cpe' OR
                                            statut = 'scolarite' OR
                                            statut = 'autre' ORDER BY nom ASC") or die(mysqli_error($mysqli));
    $compteur = 0;
    while ($rep_destinataires=mysqli_fetch_array($req_destinataires)) {
        $req_matiere = mysqli_query($mysqli, "SELECT nom_complet FROM matieres WHERE matiere IN (SELECT id_matiere FROM j_professeurs_matieres WHERE 
                            id_professeur = '".$rep_destinataires['login']."' ORDER BY
                            ordre_matieres ASC)") or die(mysqli_error($mysqli));
        $rep_matiere = mysqli_fetch_array($req_matiere);

        $statut = $rep_destinataires['statut'];
        if ($rep_destinataires['statut'] == "autre") {
            $sql_request = "SELECT id_statut FROM droits_utilisateurs WHERE login_user = '".$rep_destinataires['login']."' ";
            $req_statut = mysqli_query($mysqli, $sql_request);
            if ($rep_statut = mysqli_fetch_array($req_statut)) {
                $sql_request = "SELECT nom_statut FROM droits_statut WHERE id = '".$rep_statut['id_statut']."' ";
                $req_nom_statut = mysqli_query($mysqli, $sql_request);
                if ($rep_nom_statut = mysqli_fetch_array($req_nom_statut)) {
                    $statut = $rep_nom_statut['nom_statut'];
                }    
            }
        }

        $prof_principal = "";
        $sql_request = "SELECT professeur FROM j_eleves_professeurs WHERE professeur = '".$rep_destinataires['login']."' ";
        if ($req_prof_principal = mysqli_query($mysqli, $sql_request)) {
            if (mysqli_num_rows($req_prof_principal) != 0) {
                $prof_principal = "oui";
            }
        }
        if (in_array(strtolower($rep_destinataires['login']), $AllowedUsers)) {
            $tab[] =array('UID'=>$compteur, 'nom'=>$rep_destinataires['nom'], 'prénom'=>$rep_destinataires['prenom'], 'matière'=>strtolower($rep_matiere['nom_complet']), 'statut'=>$statut, 'PP'=>$prof_principal) ;
        }
        $checkedlist[] = false;
        $compteur++;
    }

}

// ===============================================================
//
//          PREPARATION DES DONNEES POUR LA LISTBOX
//          $tab = liste des utilisateurs à afficher
//          $checkedlist = liste des états des checkbox
//
// ===============================================================
function PrepareListBoxDatasFromUsers(&$tab, &$checkedlist, $allowed_user, $id_subcategory)
{
	global $mysqli;
    if ($id_subcategory != NULL) {
        $AllowedUsers = RetrieveAllowedUsersInSubCategory($id_subcategory, 'read');
    }

    $req_destinataires = mysqli_query($mysqli, "SELECT login, nom, prenom , statut FROM utilisateurs WHERE 
                                            statut = 'administrateur' OR
                                            statut = 'professeur' OR
                                            statut = 'cpe' OR
                                            statut = 'scolarite' OR
                                            statut = 'autre' ORDER BY nom ASC") or die(mysqli_error($mysqli));
    mysqli_data_seek($req_destinataires,0);
    $compteur = 0;
    while ($rep_destinataires=mysqli_fetch_array($req_destinataires)) {
        $req_matiere = mysqli_query($mysqli, "SELECT nom_complet FROM matieres WHERE matiere IN (SELECT id_matiere FROM j_professeurs_matieres WHERE 
                            id_professeur = '".$rep_destinataires['login']."' ORDER BY
                            ordre_matieres ASC)") or die(mysqli_error($mysqli));
        $rep_matiere = mysqli_fetch_array($req_matiere);

        $statut = $rep_destinataires['statut'];
        if ($rep_destinataires['statut'] == "autre") {
            $sql_request = "SELECT id_statut FROM droits_utilisateurs WHERE login_user = '".$rep_destinataires['login']."' ";
            $req_statut = mysqli_query($mysqli, $sql_request);
            if ($rep_statut = mysqli_fetch_array($req_statut)) {
                $sql_request = "SELECT nom_statut FROM droits_statut WHERE id = '".$rep_statut['id_statut']."' ";
                $req_nom_statut = mysqli_query($mysqli, $sql_request);
                if ($rep_nom_statut = mysqli_fetch_array($req_nom_statut)) {
                    $statut = $rep_nom_statut['nom_statut'];
                }    
            }
        }
        $prof_principal = "";
        $sql_request = "SELECT professeur FROM j_eleves_professeurs WHERE professeur = '".$rep_destinataires['login']."' ";
        if ($req_prof_principal = mysqli_query($mysqli, $sql_request)) {
            if (mysqli_num_rows($req_prof_principal) != 0) {
                $prof_principal = "oui";
            }
        }
        if ($id_subcategory != NULL) {
            if (in_array(strtolower($rep_destinataires['login']), $AllowedUsers)) {
                $tab[] =array('UID'=>$compteur, 'nom'=>$rep_destinataires['nom'], 'prénom'=>$rep_destinataires['prenom'], 'matière'=>strtolower($rep_matiere['nom_complet']), 'statut'=>$statut, 'PP'=>$prof_principal) ;

                if (in_array(strtolower($rep_destinataires['login']), $allowed_user)) {
                    $checkedlist[] = true;
                }
                else {
                    $checkedlist[] = false;
                }
            }
        }
        else {
            $tab[] =array('UID'=>$compteur, 'nom'=>$rep_destinataires['nom'], 'prénom'=>$rep_destinataires['prenom'], 'matière'=>strtolower($rep_matiere['nom_complet']), 'statut'=>$statut, 'PP'=>$prof_principal) ;

            if (in_array(strtolower($rep_destinataires['login']), $allowed_user)) {
                $checkedlist[] = true;
            }
            else {
                $checkedlist[] = false;
            }
        }
        $compteur++;
    }
}
// ===============================================================
//
//          PREPARATION DES DONNEES POUR LA LISTBOX
//          $tab = liste des utilisateurs à afficher
//          $checkedlist = liste des états des checkbox
//
// ===============================================================
function PrepareListBoxCategories(&$tab, &$checkedlist , $selected_categories)
{
	global $mysqli;
    $request = mysqli_query($mysqli, "SELECT id, name FROM plugin_MDcategories ORDER BY id ASC") or die(mysqli_error($mysqli));
    mysqli_data_seek($request,0);
    $compteur = 0;
    while ($answer=mysqli_fetch_array($request)) {

        $tab[] =array('UID'=>$compteur, 'catégorie'=>$answer['name']) ;

        if (in_array($answer['id'], $selected_categories)) {
            $checkedlist[] = true;
        }
        else {
            $checkedlist[] = false;
        }
        $compteur++;
    }
}

// ===============================================================
//
//          PREPARATION DES DONNEES POUR LA LISTBOX
//          $tab = liste des utilisateurs à afficher
//          $checkedlist = liste des états des checkbox
//
// ===============================================================
function PrepareListBoxSubCategories(&$tab, &$checkedlist , $selected_subcategories)
{
	global $mysqli;
    $request = mysqli_query($mysqli, "SELECT id, name FROM plugin_MDsubcategories ORDER BY id ASC") or die(mysqli_error($mysqli));
    mysqli_data_seek($request,0);
    $compteur = 0;
    while ($answer=mysqli_fetch_array($request)) {
        $sql_request = "SELECT name FROM plugin_MDcategories WHERE
                                    id IN (SELECT id_category FROM plugin_MDsubcategories WHERE
                                                                id = '".$answer['id']."')
                        ";
        $req_category = mysqli_query($mysqli, $sql_request) or die(mysqli_error($mysqli));
        $rep_category = mysqli_fetch_array($req_category);

        $tab[] =array('UID'=>$compteur, 'catégorie'=>$rep_category['name'], 'sous-catégorie'=>$answer['name']) ;

        if (in_array($answer['id'], $selected_subcategories)) {
            $checkedlist[] = true;
        }
        else {
            $checkedlist[] = false;
        }
        $compteur++;
    }
}
?>