<?php

/**
 * Fichier modify_rights_view.php pour gérer des documents
 *
 * Copyright 2010 Pascal Fautrero
 *
 * beta-testers : Didier Blanqui, Régis Bouguin
 *
 * This file is part of MesDocuments, a plugin for GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MesDocuments is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

include('menu.php');
echo "<div class=\"contenu\">";
if ($AllowModification) {
    echo"<h1>Editer un document</h1>";
    echo "( ".$filename." )";
    if ($message != "") {
        echo "<div class=\"cadreInformation\">".$message."</div>";
    }
    
    echo"
    <form id=\"myform\" action=\"edit_docs.php\" enctype=\"multipart/form-data\" method=\"post\">
    <fieldset>";

    // =============================== EDITION DE L'INTITULE ================================================

    if (!$IE6) {
        echo("<div class=\"fond\">
                    <div class=\"coingh\"></div>
            <div class=\"coindh\"></div>
            <div class=\"partiecentralehaut\"></div>
            <div class=\"droite\"></div>
            <div class=\"gauche\"></div>
            <div class=\"coingb\"></div>
                    <div class=\"coindb\"></div>
                    <div class=\"partiecentralebas\"></div>\n");
    }

    echo "
    <p><strong>Editez l'intitulé de cette ressource si vous le souhaitez : </strong></p>
    <input  style=\"background-color:#A9C2FF\" name=\"intitule\"  type=\"text\" size=\"50\" title=\"saisissez ici le nouvel intitulé\" value=\"".$intitule."\">";
    if (!$IE6) {
        echo "</div><br/>";
    }

    // =============================== EDITION DE LA DESCRIPTION ================================================

    echo "<br/>";
    if (!$IE6) {
        echo("<div class=\"fond\">
                    <div class=\"coingh\"></div>
            <div class=\"coindh\"></div>
            <div class=\"partiecentralehaut\"></div>
            <div class=\"droite\"></div>
            <div class=\"gauche\"></div>
            <div class=\"coingb\"></div>
                    <div class=\"coindb\"></div>
                    <div class=\"partiecentralebas\"></div>\n");
    }

    echo "
    <p><strong>Editez la description de cette ressource si vous le souhaitez :</strong></p>
    <textarea  style=\"background-color:#A9C2FF\" name=\"description\"  cols=\"80\" rows=\"5\" title=\"saisissez ici le descriptif de la ressource\" >".$description."</textarea>
    <br />";
    if (!$IE6) {
        echo "</div>";
}

    // =============================== EDITION DES DROITS ================================================
    echo "<br/><br/>";
    echo ("<p><strong>Sélectionnez les collègues qui pourront accéder au document :</strong></p>");
    
    echo $mychecklist->STListBoxHeader(); 
    echo $mychecklist->STListBoxContent();
    echo $mychecklist->STListBoxFooter($txtItem);
    
    echo "<br/>";
    echo "
    <input  name=\"update\"  type=\"hidden\"  value=\"ok\">
    <input  name=\"filename\"  type=\"hidden\"  value=\"".$filename."\">  
    <input  name=\"update_submit\"  type=\"submit\"  value=\"mettre à jour la ressource\">
    <br />";
    echo "</fieldset>";
    echo "</form>";
}
else {
    echo "<div class=\"cadreInformation\">Vous tentez d'accéder à une page pour laquelle vous n'avez pas les droits suffisants.</div>";
}
echo "</div>";



?>