<?php

/**
 * Fichier upload_view.php pour gérer des documents
 *
 * Copyright 2010 Pascal Fautrero
 *
 * beta-testers : Didier Blanqui, Régis Bouguin
 *
 * This file is part of MesDocuments, a plugin for GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MesDocuments is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

include('menu.php');
echo "<div class=\"contenu\">";
if ($AllowAccessPage) {
    echo"<h1>Déposer un document</h1>";
    if ($message != "") {
        echo "<div class=\"cadreInformation\">".$message."</div>";
    }

    echo"
    <form id=\"myform\" action=\"upload.php\" enctype=\"multipart/form-data\" method=\"post\">
    <fieldset>";


    // ==================================== zone de téléchargement ==================================
    echo "
    <br/>";
    if (!$IE6) {
        echo("<div class=\"fond\">
                    <div class=\"coingh\"></div>
            <div class=\"coindh\"></div>
            <div class=\"partiecentralehaut\"></div>
            <div class=\"droite\"></div>
            <div class=\"gauche\"></div>
            <div class=\"coingb\"></div>
                    <div class=\"coindb\"></div>
                    <div class=\"partiecentralebas\"></div>\n");
    }

    echo "
    <p><strong>1.Sélectionnez la ressource à déposer dans GEPI :</strong></p>
    <input  name=\"file\"  type=\"file\" size=\"60\">
    <br />";
    echo "<p>Taille maximum autorisée = ".$maximumsize."</p>";
    if (!$IE6) {
        echo "</div>";
    }
    // ================================= Intitulé du document ================================================
    echo "<br/>";
    if (!$IE6) {
        echo("<div class=\"fond\">
                    <div class=\"coingh\"></div>
            <div class=\"coindh\"></div>
            <div class=\"partiecentralehaut\"></div>
            <div class=\"droite\"></div>
            <div class=\"gauche\"></div>
            <div class=\"coingb\"></div>
                    <div class=\"coindb\"></div>
                    <div class=\"partiecentralebas\"></div>\n");
    }

    echo "
    <p><strong>2.Intitulez la ressource si vous le souhaitez (cet intitulé apparaitra dans la liste des documents à la place du nom du fichier) :</strong></p>
    <input  style=\"background-color:#A9C2FF\" name=\"description\"  type=\"text\" size=\"70\" title=\"saisissez ici l'intitulé de la ressource\">
    <input  name=\"id_subcategory\"  type=\"hidden\"  value=\"".$id_subcategory."\">
    <br />";
    if (!$IE6) {
        echo "</div>";
    }

    // ================================= Description du document ================================================
    echo "<br/>";
    if (!$IE6) {
        echo("<div class=\"fond\">
                    <div class=\"coingh\"></div>
            <div class=\"coindh\"></div>
            <div class=\"partiecentralehaut\"></div>
            <div class=\"droite\"></div>
            <div class=\"gauche\"></div>
            <div class=\"coingb\"></div>
                    <div class=\"coindb\"></div>
                    <div class=\"partiecentralebas\"></div>\n");
    }

    echo "
    <p><strong>3.Ajoutez une description de la ressource si vous le souhaitez :</strong></p>
    <textarea  style=\"background-color:#A9C2FF\" name=\"description_details\"  cols=\"80\" rows=\"5\" title=\"saisissez ici le descriptif de la ressource\"></textarea>
    <br />";
    if (!$IE6) {
        echo "</div>";
    }
    // ================================== Listbox de selection =================================================
    echo "<br/>";
    echo "<br/>";
	if ($FilterAtUserLevel == "yes") {
		echo ("<p><strong>4.Sélectionnez les collègues qui pourront accéder à cette ressource :</strong></p>");
		echo "<br/>";
		echo "<div style=\"float:left;\">";
		echo $mychecklist->STListBoxHeader();
		echo $mychecklist->STListBoxContent();
		echo $mychecklist->STListBoxFooter($txtItem);
		echo "</div>";
		echo "<div style=\"clear:both;\"></div>";
	}
    // ================================== Bouton de validation =================================================
    echo "<br/>";
    echo "<div style=\"margin:5px;float:left;\">";
    echo "<input  style=\"padding:3px;\" name=\"upload\"  type=\"submit\"  value=\"déposez le document dans GEPI en cliquant ici\">";
    echo "</div>";
    // =============================== fin de la FORM ================================================
    echo "</fieldset>";

    echo "</form>";
}
else {
    echo "<div class=\"cadreInformation\">Vous tentez d'accéder à une page qui vous est interdite</div>";
}

echo "</div>";


?>