<?php

/**
 * Fichier edit_users_view.php pour gérer des documents
 *
 * Copyright 2010 Pascal Fautrero
 *
 * beta-testers : Didier Blanqui, Régis Bouguin
 *
 * This file is part of MesDocuments, a plugin for GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MesDocuments is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

include('menu.php');
echo "<div class=\"contenu\">";
if ($AllowAdminMenu) {
    echo"<h1>Gestion des permissions</h1>";
    if ($DefaultPermission == "allow") {
        echo ("<div class=\"cadreInformation\">Par défaut, toutes les catégories et sous-catégories sont <strong>AUTORISEES</strong> en lecture et en écriture sauf exceptions spécifiées ci-dessous pour le groupe : ".$name_group.".</div>");
    }
    else {
        echo ("<div class=\"cadreInformation\">Par défaut, toutes les catégories et sous-catégories sont <strong>INTERDITES</strong> en lecture et en écriture sauf exceptions spécifiées ci-dessous pour le groupe : ".$name_group.".</div>");
    }
    if ($message != "") {
        echo "<div class=\"cadreInformation\">".$message."</div>";
    }

    echo"
    <form id=\"myform\" action=\"edit_permissions.php\" enctype=\"multipart/form-data\" method=\"post\">
    <fieldset>";

    // =============================== EDITION DES DROITS ================================================
    echo "<br/><br/>";
    if ($DefaultPermission == "allow") {
        echo ("<p><strong>Les CATEGORIES sélectionnez ci-dessous seront INVISIBLES pour tous les membres du groupe.</strong></p>");
    }
    else {
        echo ("<p><strong>Les CATEGORIES sélectionnez ci-dessous seront VISIBLES pour tous les membres du groupe.</strong></p>");
    }

    
    echo $mychecklist1->STListBoxHeader();
    echo $mychecklist1->STListBoxContent();
    echo $mychecklist1->STListBoxFooter($txtItem);
    
    echo "<br/>";
    // =============================== EDITION DES DROITS ================================================
    echo "<br/><br/>";
    if ($DefaultPermission == "allow") {
        echo ("<p><strong>Les SOUS-CATEGORIES sélectionnez ci-dessous seront INVISIBLES pour tous les membres du groupe.</strong></p>");
    }
    else {
        echo ("<p><strong>Les SOUS-CATEGORIES sélectionnez ci-dessous seront VISIBLES pour tous les membres du groupe.</strong></p>");
    }

    echo $mychecklist3->STListBoxHeader();
    echo $mychecklist3->STListBoxContent();
    echo $mychecklist3->STListBoxFooter($txtItem);

    echo "<br/>";
    // =============================== EDITION DES DROITS ================================================
    echo "<br/><br/>";
    if ($DefaultPermission == "allow") {
        echo ("<p><strong>Les membres du groupe ne pourront PAS AJOUTER de documents dans les CATEGORIES suivantes.</strong></p>");
    }
    else {
        echo ("<p><strong>Les membres du groupe pourront AJOUTER des documents dans les CATEGORIES suivantes.</strong></p>");
    }

    echo $mychecklist2->STListBoxHeader();
    echo $mychecklist2->STListBoxContent();
    echo $mychecklist2->STListBoxFooter($txtItem);

    echo "<br/>";

    // =============================== EDITION DES DROITS ================================================
    echo "<br/><br/>";
    if ($DefaultPermission == "allow") {
        echo ("<p><strong>Les membres du groupe ne pourront PAS AJOUTER de documents dans les SOUS-CATEGORIES suivantes.</strong></p>");
    }
    else {
        echo ("<p><strong>Les membres du groupe pourront AJOUTER de documents dans les SOUS-CATEGORIES suivantes.</strong></p>");
    }

    echo $mychecklist4->STListBoxHeader();
    echo $mychecklist4->STListBoxContent();
    echo $mychecklist4->STListBoxFooter($txtItem);

    echo "<br/>";
    echo "
    <input  name=\"update\"  type=\"hidden\"  value=\"ok\">
    <input  name=\"id_group\"  type=\"hidden\"  value=\"".$id_group."\">
    <input  name=\"update_submit\"  type=\"submit\"  value=\"mettre à jour la liste des permissions\">
    <br />";
    echo "</fieldset>";
    echo "</form>";
}
else {
    echo "<div class=\"cadreInformation\">Vous tentez d'accéder à une page pour laquelle vous n'avez pas les droits suffisants.</div>";
}
echo "</div>";



?>