<?php

/**
 * Fichier folders_view.php pour gérer des documents
 *
 * Copyright 2010 Pascal Fautrero
 *
 *
 * This file is part of MesDocuments, a plugin for GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MesDocuments is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

include('menu.php');
echo "<div class=\"contenu\">";
if ($AllowAdminMenu) {
    echo"<h1>Liste des catégories</h1>";
    if ($message != "") {
        echo "<div class=\"cadreInformation\">".$message."</div>";
    }
    
    if (!$IE6) {
        echo("<div class=\"fond\">
		    <div class=\"coingh\"></div>
            <div class=\"coindh\"></div>
            <div class=\"partiecentralehaut\"></div>
            <div class=\"droite\"></div>
            <div class=\"gauche\"></div>
            <div class=\"coingb\"></div>
		    <div class=\"coindb\"></div>
		    <div class=\"partiecentralebas\"></div>\n");
    }        
    
    
    $i = 0;
    
    while (isset($Categories[$i]['id'])) {
        echo "<div class=\"document\"><p>".$Categories[$i]['name']."</p>";
        if ($Categories[$i]['default']) {
            echo "<div class=\"bouton_defaut\"><img src=\"./views/images/default.gif\" title=\"catégorie choisie à l'ouverture\" alt=\"catégorie choisie à l'ouverture\" /></div>";
        }
        else {
            echo "<div class=\"bouton_defaut\"><a href=\"folders.php?define_default=".$Categories[$i]['id']."\"><img src=\"./views/images/non_default.gif\" title=\"choisir cette catégorie à l'ouverture\" alt=\"choisir cette catégorie à l'ouverture\" /></a></div>";
        }
        if (isset($Categories[$i+1]['id'])) {
            echo "<div class=\"arrow_down\"><a href=\"folders.php?move_down=".$Categories[$i]['id']." \"><img src=\"./views/images/downarrow.png\" title=\"descendre cette catégorie\" alt=\"descendre cette catégorie\" /></a></div>";
        }
        if ($i != 0) {
           echo "<div class=\"arrow_up\"><a href=\"folders.php?move_up=".$Categories[$i]['id']." \"><img src=\"./views/images/uparrow.png\" title=\"monter cette catégorie\" alt=\"monter cette catégorie\" /></a></div>";
        }
        echo "<div class=\"bouton_modifier\"><a href=\"edit_categories.php?id_category=".$Categories[$i]['id']." \"><img src=\"./views/images/modif.png\" title=\"Modifier le nom\" alt=\"Modifier le nom\" /></a></div>";
        echo "<div class=\"bouton_supprimer\"><a href=\"folders.php?delete_folder=".$Categories[$i]['id']." \"><img src=\"./views/images/erase.png\" title=\"Supprimer cette catégorie\" alt=\"Supprimer cette catégorie\" /></a></div>";
        echo "</div>";
        echo "<div style=\"clear:both;\"></div>";
        $i++;
    }
    if (!$IE6) {
        echo "</div>";
    }
    
    
    // =============================== FORM ================================================
    echo"<div style=\"width:100%;float:left;\">
    <form id=\"myform\" action=\"folders.php\" enctype=\"multipart/form-data\" method=\"post\">
    <fieldset>";
    // ================================= Ajouter un dossier ================================================
    echo "<br/>";
    if (!$IE6) {
        echo("<div class=\"fond\">
		    <div class=\"coingh\"></div>
            <div class=\"coindh\"></div>
            <div class=\"partiecentralehaut\"></div>
            <div class=\"droite\"></div>
            <div class=\"gauche\"></div>
            <div class=\"coingb\"></div>
		    <div class=\"coindb\"></div>
		    <div class=\"partiecentralebas\"></div>\n");
    }    
     
    echo "
    <p><strong>Saisissez le nom de la nouvelle catégorie que vous voulez créer : </strong></p>
    <input  style=\"background-color:#A9C2FF\" name=\"name_folder\"  type=\"text\" size=\"50\" title=\"saisissez ici le nom de la nouvelle catégorie\">";
    // ================================== Bouton de validation =================================================
    echo "<input  style=\"margin:3px;padding:3px;\" name=\"submit_folder\"  type=\"submit\"  value=\"créer la catégorie\">";  
    if (!$IE6) {
        echo "</div>";
    }
    
    // =============================== fin de la FORM ================================================
    echo "</fieldset>";
    echo "</form></div>";
}
else {
    echo "<div class=\"cadreInformation\">Vous tentez d'accéder à une page réservée aux administrateurs</div>";
}

echo "</div>";
?>