<?php

/**
 * Fichier groups_view.php pour gérer des documents
 *
 * Copyright 2010 Pascal Fautrero
 *
 *
 * This file is part of MesDocuments, a plugin for GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MesDocuments is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

include('menu.php');
echo "<div class=\"contenu\">";
if ($AllowAdminMenu) {
    echo"<h1>Liste des groupes</h1>";
    if ($message != "") {
        echo "<div class=\"cadreInformation\">".$message."</div>";
    }
    
    if (!$IE6) {
        echo("<div class=\"fond\">
		    <div class=\"coingh\"></div>
            <div class=\"coindh\"></div>
            <div class=\"partiecentralehaut\"></div>
            <div class=\"droite\"></div>
            <div class=\"gauche\"></div>
            <div class=\"coingb\"></div>
		    <div class=\"coindb\"></div>
		    <div class=\"partiecentralebas\"></div>\n");
    }        
    
    
    $i = 0;
    
    while (isset($Groups[$i]['id'])) {
        echo "<div class=\"document\"><p>".$Groups[$i]['name']."</p>";
        echo "<div class=\"bouton_utilisateur\"><a href=\"edit_users.php?id_group=".$Groups[$i]['id']." \"><img src=\"./views/images/users.png\" title=\"éditer les utilisateurs\" alt=\"éditer les utilisateurs\" /></a></div>";
        echo "<div class=\"bouton_permission\"><a href=\"edit_permissions.php?id_group=".$Groups[$i]['id']." \"><img src=\"./views/images/permissions.png\" title=\"éditer les permissions\" alt=\"éditer les permissions\" /></a></div>";
        echo "<div class=\"bouton_modifier\"><a href=\"edit_groups.php?id_group=".$Groups[$i]['id']." \"><img src=\"./views/images/modif.png\" title=\"Modifier le nom\" alt=\"Modifier le nom\" /></a></div>";
        if ($Groups[$i]['id'] != '1') {
            echo "<div class=\"bouton_supprimer\"><a href=\"groups.php?delete_group=".$Groups[$i]['id']." \"><img src=\"./views/images/erase.png\" title=\"Supprimer ce groupe\" alt=\"Supprimer ce groupe\" /></a></div>";
        }
        echo "</div>";
        echo "<div style=\"clear:both;\"></div>";
        $i++;
    }
    if (!$IE6) {
        echo "</div>";
    }
    
    echo"<div style=\"margin-top:10px;width:100%;float:left;\">";
    // =============================== FORM ================================================
    echo"<div style=\"width:100%;float:left;\">
    <form id=\"myform\" action=\"groups.php\" enctype=\"multipart/form-data\" method=\"post\">
    <fieldset>";
    if (!$IE6) {
        echo("<div class=\"fond\">
		    <div class=\"coingh\"></div>
            <div class=\"coindh\"></div>
            <div class=\"partiecentralehaut\"></div>
            <div class=\"droite\"></div>
            <div class=\"gauche\"></div>
            <div class=\"coingb\"></div>
		    <div class=\"coindb\"></div>
		    <div class=\"partiecentralebas\"></div>\n");
    }

    // ================================= Ajouter un dossier ================================================
    echo "
    <p><strong>Saisissez le nom du nouveau groupe que vous voulez créer : </strong></p>
    <input  style=\"background-color:#A9C2FF\" name=\"name_group\"  type=\"text\" size=\"50\" title=\"saisissez ici le nom du nouveau groupe\">";
    // ================================== Bouton de validation =================================================
    echo "<input  style=\"margin:3px;padding:3px;\" name=\"submit_group\"  type=\"submit\"  value=\"créer un groupe\">";


    if (!$IE6) {
        echo "</div>";
    }
    // =============================== fin de la FORM ================================================
    echo "</fieldset>";
    echo "</form></div>";
    echo "</div>";

}
else {
    echo "<div class=\"cadreInformation\">Vous tentez d'accéder à une page réservée aux administrateurs</div>";
}

echo "</div>";
?>