<?php

/**
 * Fichier index_view.php pour gérer des documents
 *
 * Copyright 2010 Pascal Fautrero
 *
 *
 * This file is part of MesDocuments, a plugin for GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MesDocuments is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

include('menu.php');
echo "<div class=\"contenu\">";

if ($message != "") {
    echo "<div class=\"cadreInformation\">".$message."</div>";
}
if ($Category_readable) {
    $k = 0;
    while (isset($SubCategories[$k]['id'])) {
        if ($SubCategories[$k]['readable']) {
            echo"<h4>".$SubCategories[$k]['name']."</h4>";
            if (!$IE6) {
                echo("<div class=\"fond\">
                            <div class=\"coingh\"></div>
                    <div class=\"coindh\"></div>
                    <div class=\"partiecentralehaut\"></div>
                    <div class=\"droite\"></div>
                    <div class=\"gauche\"></div>
                    <div class=\"coingb\"></div>
                            <div class=\"coindb\"></div>
                            <div class=\"partiecentralebas\"></div>\n");
            }

            if ($AllowAdminMenu) {
                echo "<div style=\"float:right;\"><a href=\"index.php?delete_subcategory=".$SubCategories[$k]['id']."&id_category=".$id_category." \"><img src=\"./views/images/erase.png\" title=\"Supprimer cette sous-catégorie\" alt=\"Supprimer cette sous-catégorie\" /></a></div>";
                echo "<div style=\"float:right;\"><a href=\"edit_categories.php?id_subcategory=".$SubCategories[$k]['id']." \"><img src=\"./views/images/modif.png\" title=\"Modifier le nom\" alt=\"Modifier le nom\" /></a></div>";
                if (isset($SubCategories[$k+1]['id'])) {
                    echo "<div style=\"float:right;\"><a href=\"index.php?move_down=".$SubCategories[$k]['id']."&id_category=".$id_category." \"><img src=\"./views/images/downarrow.png\" title=\"descendre cette sous-catégorie\" alt=\"descendre cette sous-catégorie\" /></a></div>";
                }
                if ($k != 0) {
                   echo "<div style=\"float:right;\"><a href=\"index.php?move_up=".$SubCategories[$k]['id']."&id_category=".$id_category." \"><img src=\"./views/images/uparrow.png\" title=\"monter cette sous-catégorie\" alt=\"monter cette sous-catégorie\" /></a></div>";
                }
            }
            $i = 0;
            while (isset($MyFiles[$i]['filename'])) {
                if ($MyFiles[$i]['subcategory'] == $SubCategories[$k]['id']) {
                    if ($AllowDisplayFile[$i] == true) {
                        echo "<div class=\"document\">";
                        if ($MyFiles[$i]['intitule'] != NULL) {
                            echo "<p><strong><a href=\"index.php?download=".$MyFiles[$i]['filename']."&id_category=".$id_category." \" title=\"télécharger ce fichier\">".$MyFiles[$i]['intitule']."</a></strong> <span style=\"font-size:0.7em\"> (par ".$MyFiles[$i]['author']." )</span></p>";
                        }
                        else {
                            echo "<p><strong><a href=\"index.php?download=".$MyFiles[$i]['filename']."&id_category=".$id_category." \" title=\"télécharger ce fichier\">".$MyFiles[$i]['filename']."</a></strong> <span style=\"font-size:0.7em\"> (par ".$MyFiles[$i]['author']." )</span></p>";
                        }
                        if ($MyFiles[$i]['description'] != NULL) {
                            echo "<p style=\"padding-left:10px;font-size:0.8em;\">".$MyFiles[$i]['description']."</p>";
                        }

                        if ($AllowDisplayButtons[$i] == true) {
                            echo "<div class=\"bouton_modifier\"><a href=\"edit_docs.php?filename=".$MyFiles[$i]['filename']." \"><img src=\"./views/images/modif.png\" title=\"éditer le document\" alt=\"éditer le document\" /></a></div>";
                            echo "<div class=\"bouton_supprimer\"><a href=\"index.php?delete=".$MyFiles[$i]['filename']."&id_category=".$id_category." \"><img src=\"./views/images/erase.png\" title=\"Supprimer ce document\" alt=\"Supprimer ce document\" /></a></div>";
                        }
                        else {
                            echo "<div class=\"bouton_modifier\"></div>";
                            echo "<div class=\"bouton_supprimer\"></div>";
                        }
                        echo "</div>";
                        echo "<div style=\"clear:both;\"></div>";
                    }
                }
                $i++;
            }

            $i = 0;
            while (isset($MyLinks[$i]['url'])) {
                if ($MyLinks[$i]['subcategory'] == $SubCategories[$k]['id']) {
                    if ($AllowDisplayLink[$i] == true) {
                        echo "<div  class=\"document_link\">";
                        if ($MyLinks[$i]['intitule'] != NULL) {
                            echo "<p><a href=\"".$MyLinks[$i]['url']."\" title=\"lien\" target=\"_blank\">".$MyLinks[$i]['intitule']."</a> <span style=\"font-size:0.7em\"> (par ".$MyLinks[$i]['author']." ))</span></p>";
                        }
                        else {
                            echo "<p><a href=\"".$MyLinks[$i]['url']." \" title=\"lien\" target=\"_blank\">".$MyLinks[$i]['url']."</a> <span style=\"font-size:0.7em\">(par ".$MyLinks[$i]['author']." )</span></p>";
                        }
                        if ($MyLinks[$i]['description'] != NULL) {
                            echo "<p style=\"padding-left:10px;font-size:0.8em;\">".$MyLinks[$i]['description']."</p>";
                        }

                        if ($AllowDisplayButtonsLink[$i] == true) {
                            echo "<div class=\"bouton_modifier_link\"><a href=\"edit_links.php?id_link=".$MyLinks[$i]['id']." \"><img src=\"./views/images/modif.png\" title=\"éditer le lien\" alt=\"éditer le lien\" /></a></div>";
                            echo "<div class=\"bouton_supprimer_link\"><a href=\"index.php?delete_link=".$MyLinks[$i]['id']."&id_category=".$id_category." \"><img src=\"./views/images/erase.png\" title=\"Supprimer ce lien\" alt=\"Supprimer ce lien\" /></a></div>";
                        }
                        else {
                            echo "<div class=\"bouton_modifier_link\"></div>";
                            echo "<div class=\"bouton_supprimer_link\"></div>";
                        }
                        echo "</div>";
                        echo "<div style=\"clear:both;\"></div>";
                    }
                }
                $i++;
            }
            if ($Category_writable) {
                if ($SubCategories[$k]['writable']) {
                    echo "  <div style=\"margin:5px;\">
                            <a href=\"upload.php?id_subcategory=".$SubCategories[$k]['id']."\"><img src=\"./views/images/docs.png\" title=\"Ajouter un document\" alt=\Ajouter un document\" /></a>
                            <a href=\"uploadlink.php?id_subcategory=".$SubCategories[$k]['id']."\"><img src=\"./views/images/links.png\" title=\"Ajouter un lien\" alt=\Ajouter un lien\" /></a>
                            </div>
                        ";
                }
                else {
                    echo "<div style=\"height:20px;\"></div>"; // permet de définir un min-height (en CSS, propriété difficile à utiliser)
                }
            }
            else {
                echo "<div style=\"height:20px;\"></div>"; // permet de définir un min-height (en CSS, propriété difficile à utiliser)
            }
            if (!$IE6) {
                echo "</div><br/>";
            }
        }
        $k++;
    }



    // =============================== FORM POUR CREER UNE SOUS-CATEGORIE ================================================
    if ($AllowAdminMenu) {
        if ($id_category != NULL) {

            echo"<div style=\"width:100%;float:left;\">
            <form id=\"myform\" action=\"index.php\" enctype=\"multipart/form-data\" method=\"post\">
            <fieldset>";

            echo "<br/>";
            if (!$IE6) {
                echo("<div class=\"fond\">
                            <div class=\"coingh\"></div>
                    <div class=\"coindh\"></div>
                    <div class=\"partiecentralehaut\"></div>
                    <div class=\"droite\"></div>
                    <div class=\"gauche\"></div>
                    <div class=\"coingb\"></div>
                            <div class=\"coindb\"></div>
                            <div class=\"partiecentralebas\"></div>\n");
            }

            echo "
            <p><strong>Saisissez le nom de la nouvelle sous-catégorie que vous voulez créer : </strong></p>
            <input  style=\"background-color:#A9C2FF\" name=\"name_subfolder\"  type=\"text\" size=\"50\" title=\"saisissez ici le nom de la nouvelle sous-catégorie\">
            <input  name=\"id_category\"  type=\"hidden\" value=\"".$id_category."\">";
            // ================================== Bouton de validation =================================================
            echo "<input  style=\"margin:3px;padding:3px;\" name=\"submit_subfolder\"  type=\"submit\"  value=\"créer une sous-catégorie\">";
            if (!$IE6) {
                echo "</div>";
            }


            echo "</fieldset>";
            echo "</form></div>";
        }
    }
}
else {
    echo "<div class=\"cadreInformation\">Vous tentez d'accéder à une catégorie qui vous est interdite.</div>";
}
echo "</div>";





?>