<?php

/**
 * Fichier parameters_view.php pour gérer des documents
 *
 * Copyright 2010 Pascal Fautrero
 *
 *
 * This file is part of MesDocuments, a plugin for GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MesDocuments is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

include('menu.php');
echo "<div class=\"contenu\">";
if ($AllowAdminMenu) {
    echo"<h1>Paramètres</h1>";
    if ($message != "") {
        echo "<div class=\"cadreInformation\">".$message."</div>";
    }

    if (!$IE6) {
        echo("<div class=\"fond\">
		    <div class=\"coingh\"></div>
            <div class=\"coindh\"></div>
            <div class=\"partiecentralehaut\"></div>
            <div class=\"droite\"></div>
            <div class=\"gauche\"></div>
            <div class=\"coingb\"></div>
		    <div class=\"coindb\"></div>
		    <div class=\"partiecentralebas\"></div>\n");
    }        

    echo "<strong>Contrôles d'accès</strong>";	


    if (!$IE6) {
        echo "</div>";
    }
	
	
    echo"<div style=\"margin-top:40px;width:100%;float:left;\">";
    echo"<p>Ce paramétrage définit l'état du système de restriction par défaut.(voir l'aide pour plus d'informations)</p>";
	// ==========================================================================================================
    echo "<div class=\"document\"><p>Toutes les catégories et sous-catégories sont accessibles par défaut.</p>";
    if ($DefaultPermission == "allow") {
        echo "<div class=\"bouton_defaut\"><img src=\"./views/images/default.gif\" title=\"catégories accessibles\" alt=\"catégories accessibles\" /></div>";
    }
    else {
        echo "<div class=\"bouton_defaut\"><a href=\"parameters.php?swap_permission=yes \"><img src=\"./views/images/non_default.gif\" title=\"catégories accessibles\" alt=\"catégories accessibles\" /></a></div>";
    }
    echo "</div>";
    echo "<div style=\"clear:both;\"></div>";

	// ==========================================================================================================
    echo "<div class=\"document\"><p>Toutes les catégories et sous-catégories sont interdites par défaut.</p>";
    if ($DefaultPermission == "allow") {
        echo "<div class=\"bouton_defaut\"><a href=\"parameters.php?swap_permission=yes \"><img src=\"./views/images/non_default.gif\" title=\"catégories accessibles\" alt=\"catégories accessibles\" /></a></div>";
    }
    else {
        echo "<div class=\"bouton_defaut\"><img src=\"./views/images/default.gif\" title=\"catégories accessibles\" alt=\"catégories accessibles\" /></div>";
    }
    echo "</div>";
    echo "<div style=\"clear:both;\"></div>";

	// ===========================================================================================================
    echo "<div class=\"document\"><p>Réaliser un filtrage supplémentaire au niveau des utilisateurs</p>";
    if ($FilterAtUserLevel == "yes") {
        echo "<div class=\"bouton_defaut\"><a href=\"parameters.php?swap_userfilter=yes \"><img src=\"./views/images/default.gif\" title=\"Filtrage appliqué\" alt=\"Filtrage appliqué\" /></a></div>";
    }
    else {
        echo "<div class=\"bouton_defaut\"><a href=\"parameters.php?swap_userfilter=yes \"><img src=\"./views/images/non_default.gif\" title=\"Filtrage désactivé\" alt=\"Filtrage désactivé\" /></a></div>";
    }
    echo "</div>";
    echo "<div style=\"clear:both;\"></div>";	
	
	
    echo "</div>";
    echo "<div style=\"clear:both;\"></div><br/><br/>";
	// ===============================================================================
    if (!$IE6) {
        echo("<div class=\"fond\">
		    <div class=\"coingh\"></div>
            <div class=\"coindh\"></div>
            <div class=\"partiecentralehaut\"></div>
            <div class=\"droite\"></div>
            <div class=\"gauche\"></div>
            <div class=\"coingb\"></div>
		    <div class=\"coindb\"></div>
		    <div class=\"partiecentralebas\"></div>\n");
    }        

    echo "<strong>Contrôle de la taille des fichiers</strong>";	


    if (!$IE6) {
        echo "</div>";
    }	
    echo "<div style=\"clear:both;\"></div><br/><br/>";
	
	?>
	<script type="text/javascript">
		function gestionReponse(xhr)
		{
			if (xhr.status == 200)
			{
				//$('changed').innerHTML = xhr.responseText;
			}
			else
			{
				//$('changed').innerHTML = xhr.status;
			}
		}
	   window.onload = function() {
			$('sliding').innerHTML = '<?php echo 'Taille maximum : '.FormatMaxSize(); ?>';
		   new Control.Slider('handle1' , 'track1',
		  {
			   range: $R(1,700),
			   values: [2,4,10,50, 100, 200,500, 700],
			   sliderValue: <?php echo MaxAllowedSize2(); ?>,
			   onChange: function(v){
			   
					var url = './ChangeValue.php';
					var myAjax = new Ajax.Request(
							url, 
							{
								method: 'get', 
								parameters: 'maxsize='+v,
								onComplete: gestionReponse
							});
			   
			   },
			   onSlide: function(v) {
				   $('sliding').innerHTML = 'Taille maximum : '+v+' Mo';
			  }
		   } );
	 
	}
	</script>

    <?php if (!$IE6) {
        echo("<div class=\"fond\">
		    <div class=\"coingh\"></div>
            <div class=\"coindh\"></div>
            <div class=\"partiecentralehaut\"></div>
            <div class=\"droite\"></div>
            <div class=\"gauche\"></div>
            <div class=\"coingb\"></div>
		    <div class=\"coindb\"></div>
		    <div class=\"partiecentralebas\"></div>\n");
    } 
	
    echo"<p>Ce paramétrage définit la taille maximale autorisée pour l'upload des fichiers. Déplacez le curseur pour réaliser la modification.</p>";
	
	?>
	<div style="padding:30px;margin:30px auto;width:500px;background-color:white;">
	<div id="track1" class="track" >
	   <div id="handle1" class="handle"></div>
	</div>
	<p style="text-align : center;margin:30px;font-size:20px;" id="sliding" ></p>
	</div>
	<?php
    if (!$IE6) {
        echo "</div>";
    }	?>

<?php
}
else {
    echo "<div class=\"cadreInformation\">Vous tentez d'accéder à une page réservée aux administrateurs</div>";
}

echo "</div>";
?>